MediaWiki:Theme-meteor-light.css

From Final Fantasy XIV Online Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
@import url("https://ffxiv.consolegameswiki.com/mediawiki/load.php?lang=en&only=styles&skin=vector&modules=ext.theme.meteor");

/* light window theme */
#mw-head-base {
  background:
    linear-gradient(to bottom,
      #FDEFDA00,
      #FAE6CB57, /* color-mix(#FDEFDA00, #F7DCBBAA) */
      #F7DCBBDD
    ),
    var(--noise-texture),
    linear-gradient(to bottom,
      #FDEFDA,
      #F7DCBB
    )
    #F7DCBB;
}
#mw-head-base {
  border-color: #F7DCBB;
}
div#mw-head ul.vector-menu-content-list > li.selected {
  border-color: #C6B096; /* color-mix(#F7DCBB, #000 20%) */
}
.vector-menu-dropdown .vector-menu-heading::after {
  /* cursed as fuck */
  filter: brightness(7) invert(0.95) sepia(1) drop-shadow(0 1px #0004);
}
#mw-head .vector-menu-tabs-legacy .vector-menu-content-list > li, .vector-menu-dropdown .vector-menu-heading {
  color: #4B453E; /* matches the resulting color from the cursed sepia transform above */
  text-shadow: 0 1px #fff4;
}

/* tweak search box padding */
.vector-search-box-input {
  box-shadow: 0 1px 1px #0004;
}